# Tmux Cheatsheet

## Prefix Key
- `Ctrl + Space`: Prefix key (instead of default `Ctrl + B`)

## Session Management
- `tmux new -s <name>`: Create new session
- `tmux attach -t <name>`: Attach to existing session
- `tmux ls`: List sessions
- `tmux kill-session -t <name>`: Kill a specific session

## Window Navigation
- `Shift + Left Arrow`: Previous window
- `Shift + Right Arrow`: Next window
- `Alt + H`: Previous window
- `Alt + L`: Next window

## Pane Navigation
- `Alt + Arrow Keys`: Switch between panes
- `Ctrl + Space` + `h`: Move to left pane
- `Ctrl + Space` + `j`: Move to down pane
- `Ctrl + Space` + `k`: Move to up pane
- `Ctrl + Space` + `l`: Move to right pane

## Pane Management
- `Ctrl + Space` + `"`: Split window vertically (current path)
- `Ctrl + Space` + `%`: Split window horizontally (current path)
- `Ctrl + Space` + `x`: Close current pane

## Copy Mode (Vi-style)
- `Ctrl + Space` + `[`: Enter copy mode
- `v`: Start selection
- `Ctrl + v`: Toggle rectangle selection
- `y`: Copy selection and exit copy mode

## Resize Panes
- `Ctrl + Space` + `(Hold) Arrow Keys`: Resize panes

## Misc
- `Ctrl + Space` + `r`: Reload tmux config
- `Ctrl + Space` + `?`: List all key bindings

## Installed Plugins
- TPM (Tmux Plugin Manager)
- tmux-sensible
- vim-tmux-navigator
- Catppuccin theme
- tmux-yank (for clipboard integration)

## Mouse Mode
- Enabled by default
- Click to switch panes
- Scroll through pane content
- Resize panes by dragging

## Configuration Details
- Base index starts at 1 (windows and panes)
- Vi mode enabled for copy mode
- Automatic window renumbering
- Catppuccin Mocha color theme

## Pro Tips
- Use `Ctrl + Space` + `d` to detach from session
- Sessions persist after detaching
